%global momorel 2

Summary: vector animation renderer
Name:    synfig
Version: 0.61.08
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://synfig.org/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRequires: etl-devel >= 0.04.11
BuildRequires: libxml++-devel libsigc++-devel
BuildRequires: glibmm-devel gtkmm-devel
BuildRequires: ImageMagick-devel >= 6.4.2.1
BuildRequires: ImageMagick-c++-devel >= 6.4.2.1
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
synfig is a vector based 2D animation package. It is designed to be capable of producing feature-film quality animation. It eliminates the need for tweening, preventing the need to hand-draw each frame. synfig features spatial and temporal resolution independence (sharp and smooth at any resolution or framerate), high dynamic range images, and a flexible plugin system.

This package contains the renderer used to convert synfig .sif files to raster images, videos and other formats. Layer types include geometric, gradient, filter, distortion, transformation, fractal and others. Output targets include JPEG, PNG, GIF, BMP, PPM, DV, OpenEXR, ffmpeg (MPEG1), libavcodec (AVI), imagemagick (MIFF), yuv420p, MNG and others.

%package devel
Summary:        Header files and libraries for a development with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}


%prep
%setup -q

%build
# --without-libavcodec http://synfig.org/forums/viewtopic.php?f=13&t=5
%configure --without-libavcodec
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

rm -rf %{buildroot}%{_libdir}/libsynfig.la

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL ChangeLog* AUTHORS COPYING NEWS ABOUT-NLS TODO
%doc examples doc/hw-gfx-mapping.txt
%{_bindir}/synfig*
%{_libdir}/lib*.so.*
%{_libdir}/%{name}
%{_sysconfdir}/*.cfg

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/synfig.pc
%{_includedir}/synfig*

%changelog
* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.61.08-2m)
- rebuild against ImageMagick-6.4.2.1

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.61.08-1m)
- import to Momonga
